Bug 318191 - Review Request: paktype-fonts - Fonts for Arabic from PakType
Review Request: paktype-fonts - Fonts for Arabic from PakType
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 08:55 EDT by Rahul Bhalerao
Modified: 2010-02-01 22:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 03:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Bhalerao 2007-10-04 08:55:39 EDT
Spec URL: <http://rbhalera.fedorapeople.org/paktype-fonts/paktype-fonts.spec>
SRPM URL: <http://rbhalera.fedorapeople.org/paktype-fonts/paktype-fonts-2.0-1.fc8.src.rpm>
Description: The paktype-fonts package contains fonts for the display of
Arabic from the PakType by Lateef Sagar. This package is split from fonts-arabic.
Comment 1 Parag AN(पराग) 2007-10-04 23:34:43 EDT
we don't need fonts.cache-1 file. Remove it and submit updated package.
Comment 2 Parag AN(पराग) 2007-10-05 05:27:51 EDT
unable to verify source integrity as URL https://sourceforge.net/projects/paktype/ 
showed some other source files and SRPM contains paktype-20061222.tar.gz

Is this Red Hat maintained upstream? If yes then specify in SPEC file.
Comment 3 Jens Petersen 2007-10-08 08:13:14 EDT
If 20061222 is our versioning of the source, then I suggest changing
the tarball versioning to be closer to the original upstream version(s).
Comment 4 Rahul Bhalerao 2007-10-11 03:27:06 EDT
I think we cannot directly use the upstream tarballs since they have multiple
zip file separate license files instead of one tarball containing everything.
Also the two fonts included here are having different versions. This may be a
reason for having our own maintained tarball but use of 20061222 is not clear
enough. 
Comment 6 Parag AN(पराग) 2007-10-11 23:16:56 EDT
Should we use upstream Source or internal tarballs?
Comment 7 Jens Petersen 2007-10-12 02:11:58 EDT
I think our own tarball until our fixes are merged upstream.
Comment 8 Parag AN(पराग) 2007-10-15 00:26:02 EDT
rpmlint gave me
paktype-fonts.noarch: W: file-not-utf8
/usr/share/doc/paktype-fonts-2.0/PakTypeNaqsh-readme.txt
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

use iconv command.
Comment 9 Parag AN(पराग) 2007-10-15 05:23:08 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but NOT for RPM.
  paktype-fonts.noarch: W: file-not-utf8
/usr/share/doc/paktype-fonts-2.0/PakTypeNaqsh-readme.txt
  This can be ignored as iconv is failing to convert this document.
+ source files match upstream url
cd75bd7fa714f307d25407a61f8bc43c  paktype-20061222.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
Comment 10 Rahul Bhalerao 2007-10-15 07:10:09 EDT
New Package CVS Request
=======================
Package Name: paktype-fonts
Short Description: Fonts for Arabic from PakType 
Owners: rbhalera
Branches: devel
InitialCC: petersen
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2007-10-15 11:39:52 EDT
cvs done.
Comment 12 Jens Petersen 2010-02-01 22:17:31 EST
Hmm probably my fault but I think we should have moved to the upstream releases. :(

Note You need to log in before you can comment on or make changes to this bug.